Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie
Name | ### read()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      background(0);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      image(myMovie, 0, 0);
    }

    // Called every time a new frame is available to read
    void movieEvent(Movie m) {
      m.read();
    }
Description | Reads the current frame of the movie.
Syntax |
    mov.read()
Parameters |
mov | any variable of type Movie
Usage | Web & Application

Updated on December 20, 2005 02:02:59pm PST